Prima Pagina Apple Jailbreakme.com 3.0 – raspunsuri la cateva intrebari uzuale

Jailbreakme.com 3.0 – raspunsuri la cateva intrebari uzuale

iphone 8 precomanda emag banner

comex a fost foarte suparat pentru ca versiunea beta a jailbreakme.com 3.0 a fost publicata pe web si nu pentru ca solutiile de jailbreak nu ar fi functionat decat pentru iOS 4.3 ci pentru ca Apple a aflat ce exploit a folosit el. Acum comex se grabeste sa lanseze jailbreakme.com 3.0 inaintea iOS 4.3.4 pentru a isi justifica acel aproape 1 an de munca inainte ca solutia de jailbreak sa devina inutila. Din punctul meu de vedere leak-ul nu a meritat deoarece putini au reusit sa faca jailbreak si acum comex va scoate o solutie de jailbreak neterminata doar pentru a iesi cu ceva inaintea celor de la Apple.

Lasand acestea la o parte, veeence a facut un mic FAQ pentru cei care au intrebari legate de jailbreakme.com 3.0 si iOS 4.3.4. Le aveti mai jos, pe scurt trebuie sa salvati SHSH pentru iOS 4.3.3, daca aveti iPad 2 nu trebuie sa faceti update la iOS 4.3.4 si cam atat. Voi trata problema pe larg intr-un topic separat insa mai jos aveti FAQ-ului lui.

Why do I need to save my SHSH blobs??

Every time you restore an iPhone, iPad or iPod touch (arm7 versions), iTunes/iDevice contacts Apple and asks if it is OK to restore to this firmware version. Apple verifies whether the version you are restoring to, is the latest one. If so, Apple will send the SHSH and the restore can continue, if not, Apple will refuse to send the SHSH and you will not be able to restore to that specific firmware version. Saving your SHSH will make sure you will be able to restore to that specific firmware version you have the SHSH blobs from (on 4.x at least). You will be able to bypass the “asking Apple for SHSH blobs”, bacause you already have them for that firmware version.

So, in this case you can jailbreak 4.3.3 with JailbreakMe 3.0 (soon). You want to save your SHSH blobs for 4.3.3 so you can always restore to 4.3.3 if something happens and you have to restore to factory settings when Apple pushes 4.3.4 that will fix the JailbreakMe 3.0 exploit. If you *don’t* safe them, you will end up having to restore to 4.3.4 and you will not be able to jailbreak until a new exploit is found, so save them!

Ok, how do I save my SHSH blobs?

Get TinyUmbrella (link), go to the “Advance” tab and uncheck “Request SHSH From Cydia”, make sure all other apps that use port 80 are closed, and hit “Save SHSH”. Check in the logs whether your blobs for 4.3.3 have been saved. All the other firmware versions are not important anymore, you are indeed already too late, but that doesn’t really matter as long as you have them for 4.3.3.

I have an iPad 2 3G, what’s the problem?

Your iPad has a modem/baseband that runs a different firmware from iOS. It is being signed as well, but you cannot save the SHSH blobs for it. That is because each time you ask for a verification (when restoring), Apple will create “random” SHSH blobs, so you can’t actually reuse the SHSH blobs. This is a problem, because iTunes will not be able to sign the baseband, the bootrom will refuse to boot and give you a 1004 error in iTunes. Since all previous iDevices had a bootrom exploit, you could use TinyUmbrella and “Kick Device Out Of Recovery” to boot. This is not possible on the iPad 2 since it has the A5 bootrom which is not yet exploited. You will be stuck in Recovery Mode.

Will the iPad 2 WiFi have this too?

No. It doesn’t have a baseband and it will happily restore with you BACKED UP SHSH blobs.

So what? We’ll never restore!

Trust me, there are moment that you’re going to have to restore your device. Especially when you jailbreak it and install crap.

Can I upgrade to 4.3.3?

Yes, JailbreakMe 3.0 will jailbreak all devices (arm7) on all versions of 4.3.x.

So what should we do now?

– Make sure you have you 4.3.3 SHSH’s backed up
– You can update to 4.3.3 if you want
– Wait for comex to release the official JailbreakMe 3.0
– Stay away from 4.3.4 as far as you can

If I understand this well, does that mean that the SHSH blobs for the iPad 2 3G version are useless?

Yes and no. Right now, if Apple stops signing 4.3.3, you won’t be able to downgrade/restore successfully to 4.3.3. But they might find a work around for this baseband problem, and then your SHSH blobs will be useful again. Save them anyway!